TermsEnum.SeekStatus (Lucene 10.5.0 core API)
Description: declaration: package: org.apache.lucene.index, class: TermsEnum, enum: SeekStatus

Package org.apache.lucene.index

# Enum Class TermsEnum.SeekStatus

java.lang.Object
java.lang.Enum<TermsEnum.SeekStatus>
org.apache.lucene.index.TermsEnum.SeekStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<TermsEnum.SeekStatus>`, `Constable`

Enclosing class:
  `TermsEnum`

public static enum TermsEnum.SeekStatus extends Enum<TermsEnum.SeekStatus>
Represents returned result from `TermsEnum.seekCeil(org.apache.lucene.util.BytesRef)`.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `END`
  The term was not found, and the end of iteration was hit.
  `FOUND`
  The precise term was found.
  `NOT_FOUND`
  A different term was found after the requested term

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TermsEnum.SeekStatus`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TermsEnum.SeekStatus[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### END

    public static final TermsEnum.SeekStatus END
    The term was not found, and the end of iteration was hit.

  - ### FOUND

    public static final TermsEnum.SeekStatus FOUND
    The precise term was found.

  - ### NOT_FOUND

    public static final TermsEnum.SeekStatus NOT_FOUND
    A different term was found after the requested term

- ## Method Details

  - ### values

    public static TermsEnum.SeekStatus[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TermsEnum.SeekStatus valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null